### Class

# EDataBook DataBook

#### Description

    class EDataBook.DataBook : GObject.Object
      implements Gio.Initable {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GInitable

#### Constructors

###### e_data_book_new

Creates a new `EDataBook` and exports the AddressBook D-Bus interface on `connection` at `object_path`. The `EDataBook` handles incoming remote method invocations and forwards them to the `backend`. If the AddressBook interface fails to export, the function sets `error` and returns `NULL`.

#### Functions

###### e_data_book_string_slist_to_comma_string

Takes a list of strings and converts it to a comma-separated string of values; free returned pointer with g_free().

since: 3.2

#### Instance methods

###### e_data_book_get_connection

Returns the `GDBusConnection` on which the AddressBook D-Bus interface is exported.

since: 3.8

###### e_data_book_get_object_path

Returns the object path at which the AddressBook D-Bus interface is exported.

since: 3.8

###### e_data_book_ref_backend

Returns the `EBookBackend` to which incoming remote method invocations are being forwarded.

since: 3.10

###### e_data_book_report_backend_property_changed

Notifies the clients about a property change.

since: 3.2

###### e_data_book_report_error

Notifies the clients about an error, which happened out of any client-initiate operation.

since: 3.2

###### e_data_book_respond_contains_email

Finishes a call to check whether contains an email address.

since: 3.44

###### e_data_book_respond_create_contacts

Finishes a call to create a list contacts.

since: 3.4

###### e_data_book_respond_get_contact

Notifies listeners of the completion of the get_contact method call. Only one of `error` and `contact` can be set.

###### e_data_book_respond_get_contact_list

Finishes a call to get list of `EContact`, which satisfy certain criteria.

since: 3.2

###### e_data_book_respond_get_contact_list_uids

Finishes a call to get list of UIDs which satisfy certain criteria.

since: 3.2

###### e_data_book_respond_modify_contacts

Finishes a call to modify a list of contacts.

since: 3.4

###### e_data_book_respond_open

Notifies listeners of the completion of the open method call.

###### e_data_book_respond_refresh

Notifies listeners of the completion of the refresh method call.

since: 3.2

###### e_data_book_respond_remove_contacts

Finishes a call to remove a list of contacts.

since: 3.4

###### e_data_book_set_locale

Set’s the locale for this addressbook, this can result in renormalization of locale sensitive data.

since: 3.12

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### EDataBook.DataBook:backend

The backend driving this connection.

###### EDataBook.DataBook:connection

The GDBusConnection on which to export the address book interface.

###### EDataBook.DataBook:object-path

The object path at which to export the address book interface.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataBookDataBookClass {
      /* no available fields */
    }

No description available.